List Customer Form Field Values
Returns a list of form field values for the Customer or Customer Address object.
To learn about adding and managing form fields, see Adding and Editing Fields in the Account Signup Form.
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
Headers
The MIME type of the response body that the client accepts. Typically application/json.
Query parameters
Page number (page will be ignored if you provide before or after in the request). For example page=1.
Items count per page. limit=50
Filter by the field type.
checkboxes- checkboxes fielddate- date fieldmultiline- multiline text fieldnumbers- numbers only fieldpassword- password fieldradiobuttons- radio buttons fieldtext- text fieldpicklist- pick list field
The cursor reference of the last entry for the previous page. Use the end_cursor value from the last response to get the next page (end_cursor is only returned on the first page or when the request contains query parameter before or after). For example after=eyJzZXNzaW9uSWQiOjM4LCJmaWVsZElkIjo0MH0.
The cursor reference of the first entry for the next page. Use the start_cursor value from the last response to get the previous page (start_cursor is only returned on the first page or when the request contains query parameter before or after). For example before=eyJzZXNzaW9uSWQiOjgsImZpZWxkSWQiOjMxfQ.
Response
Data about the response, including pagination and collection totals. Both pagination and cursor_pagination would be returned in the first page. Only pagination would be returned when page is greater than 1. Only cursor_pagination would be returned when before or after is provided in the request.